about summary refs log tree commit diff
path: root/core-services/05-misc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'core-services/05-misc.sh')
-rw-r--r--core-services/05-misc.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/core-services/05-misc.sh b/core-services/05-misc.sh
index 0f3d28c..3468e9c 100644
--- a/core-services/05-misc.sh
+++ b/core-services/05-misc.sh
@@ -4,8 +4,7 @@ install -m0664 -o root -g utmp /dev/null /run/utmp
 halt -B  # for wtmp
 
 if [ -z "$VIRTUALIZATION" ]; then
-    msg "Initializing random seed..."
-    cp /var/lib/random-seed /dev/urandom >/dev/null 2>&1 || true
+    seedrng || true
 fi
 
 msg "Setting up loopback interface..."